#ifndef __LABEL_H__
#define __LABEL_H__

#include <X11/Xlib.h>

struct label {
   Window window;
   int width, height;
   void (*changed)(void);
   char *text;
};

struct label_data_list {
   struct label *data;
   struct label_data_list *next;
};

struct label *create_label(Window parent, int x, int y, int width, int height,
			   char *init_str);
void refresh_label(struct label *l);

#endif /*  __LABEL_H__  */
