#ifndef __AUBE_INTERNAL_H__
#define __AUBE_INTERNAL_H__

#define PLAYBACK_FREQ 44100
#define PLAYBACK_BITRATE 16

#define SAMPLE_EXTEND 2048

typedef struct _AUBEchannel {
   char active;
   bit16 *data;
   unsigned int limit;
   unsigned int loop_start;
   unsigned int loop_end;
   unsigned int offset;
   float offset_f;
   float rate_f;
   char note;
   char finetune;
   unsigned char panning;
   char portamento;
   char porta_limit;
   unsigned int volume;
} _AUBEchannel, *AUBEchannel;

#endif  /*  __AUBE_INTERNAL_H__  */
