#ifndef __EDIT_H__
#define __EDIT_H__

void edit_on(void);
void edit_off(void);
void toggle_edit(void);
void delete_note_hex(void);
void insert_note(int note);
void insert_hex(unsigned short hexval);
struct xm_channel_note *get_current_xm_channel_note(void);
unsigned short get_current_instrument_number(void);
unsigned short get_current_pattern_number(void);
void scroll_units(int scr_y);
void scroll_by(int scr_y);
void scroll_to(int scr_to);
void next_instrument(void);
void prev_instrument(void);
void change_current_instrument(int instr_inc);
void change_current_instrument_number(int new_instr);
void change_current_pattern(int pattern_inc);
void change_current_pattern_number(short new_pattern_number);
void set_current_pattern(struct xm_pattern *pattern);
void change_current_track(int track_inc);
void change_current_pos(int pos_inc);


#endif  /*  __EDIT_H__  */
