#ifndef __PANEL_H__
#define __PANEL_H__

struct panel {
   Window window;
   int width, height;
   int x, y;
   int mx, my;
   Pixmap pixmap;
};

struct panel_list {
   struct panel *data;
   struct panel_list *next;
};

struct panel *create_panel(Window parent, int x, int y, int width, int height);
void refresh_panel(struct panel *panel);
Pixmap create_panel_pixmap(Window window,
			   unsigned int width, unsigned int height);

#endif /*  __PANEL_H__  */
